@echo off
set InstallDir=%~dp0

set DatabaseName=OperationsManagerDW

REM set SQLServerAndInstance=localhost\SQLEXPRESS <== SQL Express
REM set SQLServerAndInstance=localhost\SQLInstance1 <== Non-default SQL instance
REM set SQLServerAndInstance=(localdb)\MSSQLLocalDB <== SQL Server Data Tools 2015 - Microsoft SQL Server 2016 Release Candidate 0 (RC0) (13.0.1100.286)
set SQLServerAndInstance=localhost

set AssemblyFileName1=%InstallDir%secRMMSQLTableValuedFunction.dll
set AssemblyFileName2=%InstallDir%secRMMSQLScalarValuedFunction.dll
set SQLScript=%InstallDir%InstallSqlScript.sql
set Results=%InstallDir%InstallSCOMDW_Output.rpt

IF NOT EXIST "%AssemblyFileName1%" ( 
	echo Error: File "%AssemblyFileName1%" not found.
	goto EndScript 
)

IF NOT EXIST "%AssemblyFileName2%" ( 
	echo Error: File "%AssemblyFileName2%" not found.
	goto EndScript 
)

IF NOT EXIST "%SQLScript%" ( 
	echo Error: File "%SQLScript%" not found.
	goto EndScript 
)

REM see https://msdn.microsoft.com/en-us/library/ms188247(v=sql.105).aspx
sqlcmd -E -S %SQLServerAndInstance% -v DatabaseName = "%DatabaseName%" -v AssemblyFileName1 ="%AssemblyFileName1%" -v AssemblyFileName2 ="%AssemblyFileName2%" -i %SQLScript% -o %Results%

type %Results%

:EndScript